Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.jzos.recordgen.asm
Class FieldSpec

    java.lang.Object
      com.ibm.jzos.recordgen.asm.ElementSpec
          com.ibm.jzos.recordgen.asm.FieldSpec

    public class FieldSpec

extends ElementSpec

An object to describe a field in an Assembler DSECT. Used by `RecordClassGenerator` to generate a Java source class to describe the Assembler DSECT. This object is created by `RecordSpecBuilder`.

See Also:
  `RecordSpec`, `RecordClassGenerator`, `RecordSpecBuilder`

Constructor Summary
`FieldSpec()`

Method Summary
`void` | `dumpOn(java.io.Writer writer)` Write a debug representation of the receiver.
`int` | `getDupCount()` Answer the dup (replication) count of the field.
`Field` | `getField()` Answer a `Field` subtype which describes the type mapping of the field.
`int` | `getOperandIndex()` Answer the index of this FieldSpec within a list of FieldSpecs for the same assembler statent and label
`void` | `setDupCount(int dupCount)`
`void` | `setField(Field field)`
`void` | `setOperandIndex(int operandIndex)`

Methods inherited from class com.ibm.jzos.recordgen.asm.ElementSpec
`getLabel, getSourceLines, getSourceStmt, setLabel, setSourceLines, setSourceStmt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FieldSpec

    public FieldSpec()

Method Detail

### getDupCount

    public int getDupCount()

  Answer the dup (replication) count of the field. A value of zero means that subsequent fields overlay the current field. A value of one is a regular field, values greater than one is an "array"

  Returns:
    int

### setDupCount

    public void setDupCount(int dupCount)

  See Also:
    `getDupCount()`

### getField

    public Field getField()

  Answer a `Field` subtype which describes the type mapping of the field.

  Returns:
    Field

### setField

    public void setField(Field field)

  See Also:
    `getField()`

### getOperandIndex

    public int getOperandIndex()

  Answer the index of this FieldSpec within a list of FieldSpecs for the same assembler statent and label

  Returns:
    int

### setOperandIndex

    public void setOperandIndex(int operandIndex)

  See Also:
    `getOperandIndex()`

### dumpOn

    public void dumpOn(java.io.Writer writer)
                throws java.io.IOException

  Write a debug representation of the receiver.

  Overrides:
    `dumpOn` in class `ElementSpec`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD